Subject: [rohc] Question regarding bit ordering in RTP headers packets RFC 3095

From: Mihir Mehta <[email-masked]>
Date: Tue, 21 Apr 2009 10:00:35 +0800

Dear all,
I had a naive clarification on the bit ordering specified in the RFC 3095
for packets like RTP IR and IR-DYN.

Does the 0-7 bit labeling specified above the packet header diagrams specify
just the numbering of the bits or does it follow the same order too.

In other words, does it follow 0-7 or 7-0 (the least significant bit first
or most significant bit first) while formation and transmitting? It wasn't
very clear to me from the RFC.

Thanks in advance and best regards,
Mihir.

---

From: Carl Knutsson <[email-masked]>
Date: Tue, 21 Apr 2009 08:40:10 +0200

Hi Mihir,

You can find the data transmission order in RFC 791 Appendix B.

/Calle

Mihir Mehta wrote:
> Dear all,
>
> I had a naive clarification on the bit ordering specified in the RFC
> 3095 for packets like RTP IR and IR-DYN.
>
> Does the 0-7 bit labeling specified above the packet header diagrams
> specify just the numbering of the bits or does it follow the same
> order too. 
>
> In other words, does it follow 0-7 or 7-0 (the least significant bit
> first or most significant bit first) while formation and transmitting?
> It wasn't very clear to me from the RFC.
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
>